www.cendio.com
Bug 5162 - Canonical has broken Debian's install_initd
: Canonical has broken Debian's install_initd
Status: CLOSED FIXED
: ThinLinc
Server OS
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-05-23 14:00 by
Modified: 2014-10-06 16:13 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-05-23 14:00:31
Debian 7 and later has a completely broken install_initd thanks to the same
crack team at Canonical that caused bug 4205 and bug 4439 (and forced us to do
bug 4546). This time though they managed to screw Debian over, and not
themselves.

Upstream bug here:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=743903

Bad commit here:

http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git;a=commitdiff;h=f4ed7f08600d633c3daba9f494997f1c35555aed

StringIO.StringIO and io.StringIO do not have identical API.
------- Comment #1 From cendio 2014-05-27 10:26:57 -------
Start by reporting more information to Debian and updating our platform
specific notes with a workaround. If Debian fails to take action we'll start
looking into changing the product.
------- Comment #2 From cendio 2014-05-27 11:15:29 -------
Additional info has been added to Debian's bug report.
------- Comment #3 From cendio 2014-06-03 12:34:21 -------
Not convinced the maintainers will fix this within any reasonable timeframe,
the thing's a mess. We should at least write up something in Platform Specific
Notes in the mean time.
------- Comment #4 From cendio 2014-06-09 10:36:35 -------
(In reply to comment #3)
> Not convinced the maintainers will fix this within any reasonable timeframe,
> the thing's a mess. We should at least write up something in Platform Specific
> Notes in the mean time.

I stand corrected, looks like it's been fixed upstream.
------- Comment #5 From cendio 2014-07-15 11:04:04 -------
I installed up both a debian 7.5 and a 7.6, installed ThinLinc and verified
that the bug is indeed fixed.
------- Comment #6 From cendio 2014-07-24 13:52:50 -------
Reopening, not working in Debian 8:

2014-07-24 12:32:00,164: Output (stderr):
2014-07-24 12:32:00,164:     Traceback (most recent call last):
2014-07-24 12:32:00,164:       File "/usr/lib/lsb/install_initd", line 46, in
<module>
2014-07-24 12:32:00,165:         headers = initdutils.scan_initfile(initfile)
2014-07-24 12:32:00,165:       File "/usr/lib/lsb/initdutils.py", line 79, in
scan_initfile
2014-07-24 12:32:00,165:         inheaders = RFC822Parser(strob=headerlines)
2014-07-24 12:32:00,165:       File "/usr/lib/lsb/initdutils.py", line 24, in
__init__
2014-07-24 12:32:00,165:         fileob = StringIO(strob)
2014-07-24 12:32:00,165:     TypeError: initial_value must be unicode or None,
not str
2014-07-24 12:32:00,166: Failed to install service 'vsmserver'
2014-07-24 12:32:10,729: tl-setup aborted by user
------- Comment #7 From cendio 2014-07-24 20:02:20 -------
> If you have further comments please address them to 743903@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.

Done.
------- Comment #9 From cendio 2014-07-25 14:21:36 -------
Platform-specific note with workaround added in revision 29222.
------- Comment #10 From cendio 2014-09-24 14:42:15 -------
Looks good.